Last modified: 2013-03-01 09:06:17 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 43483 - MediaWiki:Moodbar-privacy and MediaWiki:Moodbar-privacy-link use lego
MediaWiki:Moodbar-privacy and MediaWiki:Moodbar-privacy-link use lego
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
MoodBar (Other open bugs)
master
All All
: Normal normal (vote)
: ---
Assigned To: Nischay Nahata
https://translatewiki.net/wiki/Thread...
: i18n
Depends on:
Blocks: messages
  Show dependency treegraph
 
Reported: 2012-12-28 08:08 UTC by Nemo
Modified: 2013-03-01 09:06 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Nemo 2012-12-28 08:08:30 UTC
Switch to a single message to allow localisation.
Comment 1 Nischay Nahata 2012-12-30 02:58:10 UTC
I don't see a standardized way to do this; there is some HTML involved in displaying the link.
Comment 2 MZMcBride 2012-12-30 03:01:37 UTC
"Use lego"? I don't understand.
Comment 3 Nischay Nahata 2013-02-20 19:52:06 UTC
https://gerrit.wikimedia.org/r/#/c/50040/
Comment 4 MZMcBride 2013-02-22 02:38:48 UTC
(In reply to comment #2)
> "Use lego"? I don't understand.

From <https://www.mediawiki.org/w/index.php?title=Localisation&oldid=647907#Avoid_patchwork_messages>:

---
Avoid patchwork messages

Languages have varying word orders, and complex grammatical and syntactic rules. Messages put together from lots of pieces of text, possibly with some indirection, are very hard, if not impossible, to translate. (MediaWiki internationalization people call such messages "lego".)

It is better to make messages complete sentences each, with a full stop at the end. Several sentences can usually much more easily be combined into a text block, if needed. When you want to combine several strings, use parameters - translators can order them correctly.
---

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links